# Class ObsUnitMapContributor

Namespace
  adas_core.Infrastructure.Utils.MongoMaps

Assembly
  adas-core.Infrastructure.dll

Represents a contributor that participates in entity mapping for observation units by implementing the IEntityMapContributor contract.

    public class ObsUnitMapContributor : IEntityMapContributor

Inheritance
  object
  ObsUnitMapContributor

Implements
  IEntityMapContributor

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

Used to register or supply mapping logic specific to observation unit entities within the entity mapping framework.

## Methods

### RegisterMaps()

Registers BSON class maps for ConfigUnits and ConfigUnitItem types if they have not already been registered, configuring how their members are serialized to MongoDB documents.

    public void RegisterMaps()